Bug 373571 - fence_scsi should not exit after failing for single device
fence_scsi should not exit after failing for single device
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan O'Hara
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 14:40 EST by Ryan O'Hara
Modified: 2009-04-16 19:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:58:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan O'Hara 2007-11-09 14:40:57 EST
fence_scsi typically must revoke registrations on multiple devices. When it
failes to unregister a key on a given device, we must make sure it continues to
process all remaining devices. Also, if fence_scsi revokes a key for a given
device, and that key is not registered for that device, this should not be a
failure. While this case should never happen, it is not an error. In other
words, it is not a failure if the script attempts to unregister a key than isn't
registered with a device in the first place. Best approach is to log a warning
message and continue.
Comment 2 RHEL Product and Program Management 2008-01-07 15:45:10 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Ryan O'Hara 2008-01-18 18:25:24 EST
Fixed. When fence_scsi is called at fence time, it derives the keys for 1) the
node performing the fence operation and 2) the node being fenced. Before we
attempt to unregister a key from a device, we check to make sure the key to be
unregistered is actually registered with the device. If it is not registered
with that device, we simple move on to the next device.

Result is that fence_scsi will not report an error if it is asked to unregister
a key from a device that does not have that key registered.

 
Comment 6 errata-xmlrpc 2008-05-21 11:58:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0347.html

Note You need to log in before you can comment on or make changes to this bug.